aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-26 13:12:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-26 14:03:20 +0000
commit25ed9167936cbb8582ca6630b8077535755c75ed (patch)
tree4c206281bb02c4cb370ecb030055fdb6e7917dc6 /main
parent5ff5b6c60a2ac50825e71eb02fd44f794b04c76f (diff)
downloadaports-25ed9167936cbb8582ca6630b8077535755c75ed.tar.gz
aports-25ed9167936cbb8582ca6630b8077535755c75ed.tar.bz2
aports-25ed9167936cbb8582ca6630b8077535755c75ed.tar.xz
main/busybox: upgrade to 1.19.0 + patches
Diffstat (limited to 'main')
-rw-r--r--main/busybox/APKBUILD53
-rw-r--r--main/busybox/busyboxconfig87
2 files changed, 88 insertions, 52 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 6d27a88b2b..ac1b8ef26d 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
-pkgver=1.18.5
-pkgrel=1
+pkgver=1.19.0
+pkgrel=0
_bbsuidver=0.6
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
@@ -15,21 +15,28 @@ source="http://busybox.net/downloads/$pkgname-$pkgver.tar.bz2
http://git.alpinelinux.org/cgit/bbsuid.git/snapshot/bbsuid-$_bbsuidver.tar.bz2
$pkgname-1.11.1-bb.patch
busybox-uname-is-not-gnu.patch
- loginutils-sha512.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-cttyhack.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-less.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-sed.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-swap.patch
+ http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-uncompress.patch
busyboxconfig"
+# loginutils-sha512.patch
-_builddir="$srcdir"/$pkgname-$pkgver
+_sdir="$srcdir"/$pkgname-$pkgver
+_staticdir="$srcdir"/build-static
+_dyndir="$srcdir"/build-dynamic
_bbsuid="$srcdir"/bbsuid-$_bbsuidver
_config="$srcdir"/busyboxconfig
prepare() {
- cd "$_builddir"
+ mkdir -p "$_staticdir" "$_dyndir"
#patches
- for i in ../*.patch; do
- msg "Applying $i"
- if ! patch -p1 -i $i; then
- error "$i failed"
- return 1
- fi
+ cd "$_sdir"
+ for i in $source; do
+ local p=${i##*/}
+ case $i in
+ *.patch) msg $p; patch -p1 -i "$srcdir"/$p || return 1;;
+ esac
done
sed -i -e 's/(ip, _BB_DIR_BIN/(ip, _BB_DIR_SBIN/' \
@@ -39,22 +46,24 @@ prepare() {
}
build() {
+ msg "Building bbsuid"
cd "$_bbsuid"
make || return 1
- cd "$_builddir"
+ cd "$_staticdir"
msg "Building static busybox"
sed -e "s/.*CONFIG_PIE.*/\# CONFIG_PIE is not set/" \
-e "s/.*CONFIG_STATIC.*/CONFIG_STATIC=y/" \
"$_config" > .config
- make silentoldconfig || return 1
+ make -C "$_sdir" O="$PWD" silentoldconfig || return 1
make || return 1
mv busybox busybox.static
# build dynamic
+ cd "$_dyndir"
msg "Building dynamic busybox"
cp "$_config" .config
- make silentoldconfig || return 1
+ make -C "$_sdir" O="$PWD" silentoldconfig || return 1
make || return 1
}
@@ -62,7 +71,7 @@ package() {
cd "$_bbsuid"
make install DESTDIR="$pkgdir" || return 1
- cd "$_builddir"
+ cd "$_dyndir"
mkdir -p "$pkgdir"/usr/sbin "$pkgdir"/usr/bin "$pkgdir"/tmp \
"$pkgdir"/var/cache/misc "$pkgdir"/bin "$pkgdir"/sbin
chmod 1777 "$pkgdir"/tmp
@@ -72,15 +81,19 @@ package() {
}
static() {
+ pkgdesc="Statically linked Busybox"
mkdir -p "$subpkgdir"/bin
- install -m755 "$_builddir"/busybox.static \
+ install -m755 "$_staticdir"/busybox.static \
"$subpkgdir"/bin/busybox.static
-
}
-md5sums="96dd43cc7cee4017a6bf31b7da82a1f5 busybox-1.18.5.tar.bz2
+md5sums="9ad0b619bb788913b263eb53bbd659be busybox-1.19.0.tar.bz2
968b3a058db04f95e9c4cdb44d7d3ddb bbsuid-0.6.tar.bz2
4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
b5375210f13fd6e1ca61a565e8fabd35 busybox-uname-is-not-gnu.patch
-d21d70d590e9e04bfc65ecb23b9d1617 loginutils-sha512.patch
-cf688759721a35137c9654b995b186c5 busyboxconfig"
+4d64393857732f513c40172757fff7c2 busybox-1.19.0-cttyhack.patch
+67c0c719ddb768ee6bbdcf4c3bed45ca busybox-1.19.0-less.patch
+89f9693f0b76b6012b74d73bb772dcc7 busybox-1.19.0-sed.patch
+21b13f7cfe133acd24f370b7c855668a busybox-1.19.0-swap.patch
+92fb297b15f81108a1c2647f7bd67db4 busybox-1.19.0-uncompress.patch
+4ec89e4b45bcf667974a2778a559196f busyboxconfig"
diff --git a/main/busybox/busyboxconfig b/main/busybox/busyboxconfig
index b55736846d..1136153d2a 100644
--- a/main/busybox/busyboxconfig
+++ b/main/busybox/busyboxconfig
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
-# Busybox version: 1.18.2
-# Fri Feb 4 18:18:10 2011
+# Busybox version: 1.19.0
+# Fri Aug 26 13:38:01 2011
#
CONFIG_HAVE_DOT_CONFIG=y
@@ -39,8 +39,8 @@ CONFIG_LAST_SUPPORTED_WCHAR=767
CONFIG_LONG_OPTS=y
CONFIG_FEATURE_DEVPTS=y
# CONFIG_FEATURE_CLEAN_UP is not set
-CONFIG_FEATURE_WTMP=y
CONFIG_FEATURE_UTMP=y
+CONFIG_FEATURE_WTMP=y
CONFIG_FEATURE_PIDFILE=y
CONFIG_FEATURE_SUID=y
# CONFIG_FEATURE_SUID_CONFIG is not set
@@ -89,6 +89,8 @@ CONFIG_PREFIX="/home/ncopa/aports/main/busybox/pkg/busybox"
#
# Busybox Library Tuning
#
+# CONFIG_FEATURE_SYSTEMD is not set
+CONFIG_FEATURE_RTMINMAX=y
CONFIG_PASSWORD_MINLEN=6
CONFIG_MD5_SIZE_VS_SPEED=0
CONFIG_FEATURE_FAST_TOP=y
@@ -99,6 +101,7 @@ CONFIG_FEATURE_EDITING_MAX_LEN=1024
CONFIG_FEATURE_EDITING_VI=y
CONFIG_FEATURE_EDITING_HISTORY=255
CONFIG_FEATURE_EDITING_SAVEHISTORY=y
+CONFIG_FEATURE_REVERSE_SEARCH=y
CONFIG_FEATURE_TAB_COMPLETION=y
CONFIG_FEATURE_USERNAME_COMPLETION=y
CONFIG_FEATURE_EDITING_FANCY_PROMPT=y
@@ -106,6 +109,7 @@ CONFIG_FEATURE_EDITING_ASK_TERMINAL=y
CONFIG_FEATURE_NON_POSIX_CP=y
# CONFIG_FEATURE_VERBOSE_CP_MESSAGE is not set
CONFIG_FEATURE_COPYBUF_KB=16
+CONFIG_FEATURE_SKIP_ROOTFS=y
CONFIG_MONOTONIC_SYSCALL=y
# CONFIG_IOCTL_HEX2STR_ERROR is not set
CONFIG_FEATURE_HWIB=y
@@ -169,12 +173,17 @@ CONFIG_DATE=y
CONFIG_FEATURE_DATE_ISOFMT=y
# CONFIG_FEATURE_DATE_NANO is not set
CONFIG_FEATURE_DATE_COMPAT=y
+CONFIG_ID=y
+CONFIG_GROUPS=y
CONFIG_TEST=y
CONFIG_FEATURE_TEST_64=y
+CONFIG_TOUCH=y
CONFIG_TR=y
CONFIG_FEATURE_TR_CLASSES=y
CONFIG_FEATURE_TR_EQUIV=y
CONFIG_BASE64=y
+CONFIG_WHO=y
+CONFIG_USERS=y
CONFIG_CAL=y
CONFIG_CATV=y
CONFIG_CHGRP=y
@@ -212,10 +221,8 @@ CONFIG_FSYNC=y
CONFIG_HEAD=y
CONFIG_FEATURE_FANCY_HEAD=y
CONFIG_HOSTID=y
-CONFIG_ID=y
CONFIG_INSTALL=y
# CONFIG_FEATURE_INSTALL_LONG_OPTIONS is not set
-CONFIG_LENGTH=y
CONFIG_LN=y
# CONFIG_LOGNAME is not set
CONFIG_LS=y
@@ -267,7 +274,6 @@ CONFIG_TAIL=y
CONFIG_FEATURE_FANCY_TAIL=y
CONFIG_TEE=y
CONFIG_FEATURE_TEE_USE_BLOCK_IO=y
-CONFIG_TOUCH=y
CONFIG_TRUE=y
CONFIG_TTY=y
CONFIG_UNAME=y
@@ -279,7 +285,6 @@ CONFIG_USLEEP=y
CONFIG_UUENCODE=y
CONFIG_WC=y
# CONFIG_FEATURE_WC_LARGE is not set
-CONFIG_WHO=y
CONFIG_WHOAMI=y
CONFIG_YES=y
@@ -346,20 +351,13 @@ CONFIG_WHICH=y
# Editors
#
CONFIG_PATCH=y
-CONFIG_AWK=y
-CONFIG_FEATURE_AWK_LIBM=y
-CONFIG_CMP=y
-CONFIG_DIFF=y
-# CONFIG_FEATURE_DIFF_LONG_OPTIONS is not set
-CONFIG_FEATURE_DIFF_DIR=y
-CONFIG_ED=y
-CONFIG_SED=y
CONFIG_VI=y
CONFIG_FEATURE_VI_MAX_LEN=1024
CONFIG_FEATURE_VI_8BIT=y
CONFIG_FEATURE_VI_COLON=y
CONFIG_FEATURE_VI_YANKMARK=y
CONFIG_FEATURE_VI_SEARCH=y
+# CONFIG_FEATURE_VI_REGEX_SEARCH is not set
CONFIG_FEATURE_VI_USE_SIGNALS=y
CONFIG_FEATURE_VI_DOT_CMD=y
CONFIG_FEATURE_VI_READONLY=y
@@ -368,6 +366,14 @@ CONFIG_FEATURE_VI_SET=y
CONFIG_FEATURE_VI_WIN_RESIZE=y
CONFIG_FEATURE_VI_ASK_TERMINAL=y
CONFIG_FEATURE_VI_OPTIMIZE_CURSOR=y
+CONFIG_AWK=y
+CONFIG_FEATURE_AWK_LIBM=y
+CONFIG_CMP=y
+CONFIG_DIFF=y
+# CONFIG_FEATURE_DIFF_LONG_OPTIONS is not set
+CONFIG_FEATURE_DIFF_DIR=y
+CONFIG_ED=y
+CONFIG_SED=y
CONFIG_FEATURE_ALLOW_EXEC=y
#
@@ -426,6 +432,7 @@ CONFIG_FEATURE_EXTRA_QUIET=y
CONFIG_FEATURE_INITRD=y
CONFIG_INIT_TERMINAL_TYPE="linux"
CONFIG_MESG=y
+CONFIG_FEATURE_MESG_ENABLE_ONLY_GROUP=y
#
# Login/Password Management Utilities
@@ -511,6 +518,7 @@ CONFIG_REV=y
CONFIG_ACPID=y
CONFIG_FEATURE_ACPID_COMPAT=y
CONFIG_BLKID=y
+CONFIG_FEATURE_BLKID_TYPE=y
CONFIG_DMESG=y
CONFIG_FEATURE_DMESG_PRETTY=y
CONFIG_FBSET=y
@@ -519,7 +527,7 @@ CONFIG_FEATURE_FBSET_READMODE=y
CONFIG_FDFLUSH=y
CONFIG_FDFORMAT=y
CONFIG_FDISK=y
-CONFIG_FDISK_SUPPORT_LARGE_DISKS=y
+# CONFIG_FDISK_SUPPORT_LARGE_DISKS is not set
CONFIG_FEATURE_FDISK_WRITABLE=y
CONFIG_FEATURE_AIX_LABEL=y
CONFIG_FEATURE_SGI_LABEL=y
@@ -614,10 +622,25 @@ CONFIG_FEATURE_VOLUMEID_LINUXRAID=y
# Miscellaneous Utilities
#
CONFIG_CONSPY=y
+CONFIG_LESS=y
+CONFIG_FEATURE_LESS_MAXLINES=9999999
+CONFIG_FEATURE_LESS_BRACKETS=y
+CONFIG_FEATURE_LESS_FLAGS=y
+CONFIG_FEATURE_LESS_MARKS=y
+CONFIG_FEATURE_LESS_REGEXP=y
+CONFIG_FEATURE_LESS_WINCH=y
+CONFIG_FEATURE_LESS_ASK_TERMINAL=y
+CONFIG_FEATURE_LESS_DASHCMD=y
+CONFIG_FEATURE_LESS_LINENUMS=y
CONFIG_NANDWRITE=y
CONFIG_NANDDUMP=y
+CONFIG_SETSERIAL=y
# CONFIG_UBIATTACH is not set
# CONFIG_UBIDETACH is not set
+# CONFIG_UBIMKVOL is not set
+# CONFIG_UBIRMVOL is not set
+# CONFIG_UBIRSVOL is not set
+# CONFIG_UBIUPDATEVOL is not set
CONFIG_ADJTIMEX=y
CONFIG_BBCONFIG=y
CONFIG_FEATURE_COMPRESS_BBCONFIG=y
@@ -658,15 +681,6 @@ CONFIG_INOTIFYD=y
CONFIG_LAST=y
CONFIG_FEATURE_LAST_SMALL=y
# CONFIG_FEATURE_LAST_FANCY is not set
-CONFIG_LESS=y
-CONFIG_FEATURE_LESS_MAXLINES=9999999
-CONFIG_FEATURE_LESS_BRACKETS=y
-CONFIG_FEATURE_LESS_FLAGS=y
-CONFIG_FEATURE_LESS_MARKS=y
-CONFIG_FEATURE_LESS_REGEXP=y
-CONFIG_FEATURE_LESS_WINCH=y
-CONFIG_FEATURE_LESS_DASHCMD=y
-CONFIG_FEATURE_LESS_LINENUMS=y
# CONFIG_HDPARM is not set
# CONFIG_FEATURE_HDPARM_GET_IDENTITY is not set
# CONFIG_FEATURE_HDPARM_HDIO_SCAN_HWIF is not set
@@ -700,11 +714,17 @@ CONFIG_WATCHDOG=y
#
# Networking Utilities
#
+CONFIG_NAMEIF=y
+CONFIG_FEATURE_NAMEIF_EXTENDED=y
CONFIG_NBDCLIENT=y
CONFIG_NC=y
CONFIG_NC_SERVER=y
CONFIG_NC_EXTRA=y
CONFIG_NC_110_COMPAT=y
+CONFIG_PING=y
+CONFIG_PING6=y
+CONFIG_FEATURE_FANCY_PING=y
+CONFIG_WHOIS=y
CONFIG_FEATURE_IPV6=y
# CONFIG_FEATURE_UNIX_LOCAL is not set
CONFIG_FEATURE_PREFER_IPV4_ADDRESS=y
@@ -777,17 +797,12 @@ CONFIG_IPRULE=y
CONFIG_IPCALC=y
CONFIG_FEATURE_IPCALC_FANCY=y
# CONFIG_FEATURE_IPCALC_LONG_OPTIONS is not set
-CONFIG_NAMEIF=y
-CONFIG_FEATURE_NAMEIF_EXTENDED=y
CONFIG_NETSTAT=y
CONFIG_FEATURE_NETSTAT_WIDE=y
CONFIG_FEATURE_NETSTAT_PRG=y
CONFIG_NSLOOKUP=y
CONFIG_NTPD=y
CONFIG_FEATURE_NTPD_SERVER=y
-CONFIG_PING=y
-CONFIG_PING6=y
-CONFIG_FEATURE_FANCY_PING=y
CONFIG_PSCAN=y
CONFIG_ROUTE=y
CONFIG_SLATTACH=y
@@ -820,12 +835,14 @@ CONFIG_FEATURE_TUNCTL_UG=y
# CONFIG_DHCPRELAY is not set
# CONFIG_DUMPLEASES is not set
# CONFIG_FEATURE_UDHCPD_WRITE_LEASES_EARLY is not set
+# CONFIG_FEATURE_UDHCPD_BASE_IP_ON_MAC is not set
CONFIG_DHCPD_LEASES_FILE=""
CONFIG_UDHCPC=y
CONFIG_FEATURE_UDHCPC_ARPING=y
# CONFIG_FEATURE_UDHCP_PORT is not set
CONFIG_UDHCP_DEBUG=0
CONFIG_FEATURE_UDHCP_RFC3397=y
+CONFIG_FEATURE_UDHCP_8021Q=y
CONFIG_UDHCPC_DEFAULT_SCRIPT="/usr/share/udhcpc/default.script"
CONFIG_UDHCPC_SLACK_FOR_BUGGY_SERVERS=80
CONFIG_IFUPDOWN_UDHCPC_CMD_OPTIONS="-R -n"
@@ -861,15 +878,19 @@ CONFIG_SENDMAIL=y
#
CONFIG_IOSTAT=y
CONFIG_MPSTAT=y
+CONFIG_NMETER=y
CONFIG_PMAP=y
CONFIG_POWERTOP=y
+CONFIG_PSTREE=y
+CONFIG_PWDX=y
CONFIG_SMEMCAP=y
+CONFIG_UPTIME=y
+CONFIG_FEATURE_UPTIME_UTMP_SUPPORT=y
CONFIG_FREE=y
CONFIG_FUSER=y
CONFIG_KILL=y
CONFIG_KILLALL=y
CONFIG_KILLALL5=y
-CONFIG_NMETER=y
CONFIG_PGREP=y
CONFIG_PIDOF=y
CONFIG_FEATURE_PIDOF_SINGLE=y
@@ -890,7 +911,6 @@ CONFIG_FEATURE_TOP_SMP_CPU=y
CONFIG_FEATURE_TOP_SMP_PROCESS=y
CONFIG_FEATURE_TOPMEM=y
# CONFIG_FEATURE_SHOW_THREADS is not set
-CONFIG_UPTIME=y
CONFIG_WATCH=y
#
@@ -928,6 +948,7 @@ CONFIG_SV_DEFAULT_SERVICE_DIR=""
#
CONFIG_ASH=y
CONFIG_ASH_BASH_COMPAT=y
+CONFIG_ASH_IDLE_TIMEOUT=y
CONFIG_ASH_JOB_CONTROL=y
CONFIG_ASH_ALIAS=y
CONFIG_ASH_GETOPTS=y
@@ -968,6 +989,7 @@ CONFIG_SH_MATH_SUPPORT=y
CONFIG_FEATURE_SH_EXTRA_QUIET=y
# CONFIG_FEATURE_SH_STANDALONE is not set
# CONFIG_FEATURE_SH_NOFORK is not set
+CONFIG_FEATURE_SH_HISTFILESIZE=y
#
# System Logging Utilities
@@ -976,6 +998,7 @@ CONFIG_SYSLOGD=y
CONFIG_FEATURE_ROTATE_LOGFILE=y
CONFIG_FEATURE_REMOTE_LOG=y
CONFIG_FEATURE_SYSLOGD_DUP=y
+CONFIG_FEATURE_SYSLOGD_CFG=y
CONFIG_FEATURE_SYSLOGD_READ_BUFFER_SIZE=256
CONFIG_FEATURE_IPC_SYSLOG=y
CONFIG_FEATURE_IPC_SYSLOG_BUFFER_SIZE=16